CREATE TABLE Wine (
 WineId int PRIMARY KEY,
 Name nvarchar (50),
 Category nvarchar (15),
 Year int,
 Price money)

CREATE TABLE Customer (
 CustomerId int PRIMARY KEY,
 FirstName nvarchar(50),
 LastName nvarchar(15),
 FavoriteWineId int,
 CONSTRAINT FK_Customer_Wine FOREIGN KEY (FavoriteWineId) REFERENCES Wine (WineId))

CREATE TABLE [Order] (
 OrderId int PRIMARY KEY,
 OrderedOn datetime2,
 CustomerId int, 
 WineId int, 
 Quantity int, 
 Price money, 
 CONSTRAINT FK_Order_Customer FOREIGN KEY (CustomerId) REFERENCES Customer(CustomerId), 
 CONSTRAINT FK_Order_Wine FOREIGN KEY (WineId) REFERENCES Wine(WineId))

INSERT INTO Wine VALUES
 (1, 'Chateau Penin', 'Bordeaux', 2008, 34.90),
 (2, 'McLaren Valley', 'Cabernet', 2005, 48.50),
 (3, 'Mendoza', 'Merlot', 2010, 42.00),
 (4, 'Valle Central', 'Merlot', 2009, 52.00)

INSERT INTO Customer VALUES
 (1, 'Jeff', 'Hay', 4),
 (2, 'Mark', 'Hanson', 3),
 (3, 'Jeff', 'Phillips', 2)

INSERT INTO [Order] VALUES
 (1, '2013-01-01', 1, 1, 5, 34.90),
 (2, '2013-01-03', 2, 3, 1, 42.00),
 (3, '2013-01-05', 1, 2, 3, 48.50),
 (4, '2013-01-06', 2, 4, 2, 52.00),
 (5, '2013-01-06', 3, 3, 2, 42.00),
 (6, '2013-01-08', 1, 1, 1, 34.90)
