SELECT
  CONCAT(c.LastName, ', ', c.FirstName) AS [Customer Name],
  CONCAT(w.Name, ' (', w.Category, ')') AS [Favorite Wine],
  COUNT(*) AS Orders,
  SUM(o.Quantity * o.Price) AS Total
 FROM
  Customer AS c
  LEFT OUTER JOIN Wine AS w ON c.FavoriteWineId = w.WineId
  LEFT OUTER JOIN [Order] AS o ON c.CustomerId = o.CustomerId
 GROUP BY
  c.FirstName, c.LastName, w.Category, w.Name
 ORDER BY
  c.LastName, c.FirstName;
